"use strict";

var _reactHooks = require("@testing-library/react-hooks");

var _asyncTools = require("@kev_nz/async-tools");

var _ = require("../");

test('should execute async function', async () => {
  const asyncFun = async () => {
    await (0, _asyncTools.delay)(50);
    return {
      complete: true
    };
  };

  const {
    result,
    waitForNextUpdate
  } = (0, _reactHooks.renderHook)(() => (0, _.useAsync)(asyncFun));
  expect(result.current.data).toBe(null);
  (0, _reactHooks.act)(() => {
    result.current.execute();
  });
  await waitForNextUpdate();
  expect(result.current.data.complete).toBe(true);
});