"use strict";

var _jestWebsocketMock = _interopRequireDefault(require("jest-websocket-mock"));

var _reactHooks = require("@testing-library/react-hooks");

var _ = require("../");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const WS_URL = 'ws://localhost:1234';
const server = new _jestWebsocketMock.default(WS_URL);
afterAll(async () => {// server.close()
  // WS.clean()
});
test('should listen to web socket', async () => {
  const {
    result,
    waitForNextUpdate
  } = (0, _reactHooks.renderHook)(() => (0, _.useWebSocket)(WS_URL));
  (0, _reactHooks.act)(() => {
    server.send('First Message');
  });
  await waitForNextUpdate();
  expect(result.current.message[0]).toBe('First Message');
});
test('should handle multiple messages', async () => {
  const {
    result,
    waitForNextUpdate
  } = (0, _reactHooks.renderHook)(() => (0, _.useWebSocket)(WS_URL));
  (0, _reactHooks.act)(() => {
    server.send('hello everyone');
    server.send('hello again');
  });
  await waitForNextUpdate();
  expect(result.current.message[0]).toBe('hello everyone');
  expect(result.current.message[1]).toBe('hello again');
});