"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.useClickOutside = void 0;

var _react = require("react");

const useClickOutside = (ref, handler = e => {}, when = true) => {
  (0, _react.useLayoutEffect)(() => {
    const handle = e => {
      if (ref && ref.current && !ref.current.contains(e.target)) {
        handler(e);
      }
    };

    if (when) {
      document.addEventListener('click', handle);
      document.addEventListener('ontouchstart', handle);
      return () => {
        document.removeEventListener('click', handle);
        document.removeEventListener('ontouchstart', handle);
      };
    }
  }, [ref, handler, when]);
};

exports.useClickOutside = useClickOutside;
var _default = useClickOutside;
exports.default = _default;