"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.useFetch = void 0;

var _react = require("react");

var _reducer = require("./reducer");

const useFetch = (url, options) => {
  const [state, dispatch] = (0, _react.useReducer)(_reducer.reducer, {
    data: [],
    error: null,
    loading: true
  });
  const fetchQuery = (0, _react.useCallback)(async url => {
    dispatch({
      type: 'get'
    });
    const resp = await fetch(url, options);
    const data = await resp.json();
    dispatch({
      type: 'success',
      payload: {
        data
      }
    });
  }, [options]);
  (0, _react.useEffect)(() => {
    fetchQuery(url);
  }, [fetchQuery, url]);
  return state;
};

exports.useFetch = useFetch;
var _default = useFetch;
exports.default = _default;