"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.useStyleSheet = void 0;

var _react = require("react");

const useStyleSheet = href => {
  const [sheet, setSheet] = (0, _react.useState)(href);
  (0, _react.useEffect)(() => {
    const link = document.createElement('link');
    link.type = 'text/css';
    link.rel = 'stylesheet';
    link.href = sheet;
    document.getElementsByTagName('head')[0].appendChild(link);
    return () => {
      document.getElementsByTagName('head')[0].removeChild(link);
    };
  }, [sheet]);
  return [sheet, setSheet];
};

exports.useStyleSheet = useStyleSheet;
var _default = useStyleSheet;
exports.default = _default;