"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useTitle = exports.default = void 0;

var _react = require("react");

/**
 * useTitle Hook to allow setting of the page title
 *
 * @param {string} pageTitle - The text to be used to set the page title
 * @returns {[string, function]} - The title and setTitle function
 */
const useTitle = pageTitle => {
  const [title, setTitle] = (0, _react.useState)(pageTitle);
  (0, _react.useEffect)(() => {
    document.title = title;
  }, [title]);
  return [title, setTitle];
};

exports.useTitle = useTitle;
var _default = useTitle;
exports.default = _default;